Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request DELETE \ --url https://{operatorDomain}/v1/admin/promotions/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "name": "<string>", "slug": "<string>", "description": "<string>", "discountPercent": 123, "discountAmountCents": 123, "currency": "<string>", "scope": { "productIds": [ "<string>" ], "categoryIds": [ "<string>" ], "destinationIds": [ "<string>" ], "marketIds": [ "<string>" ], "audiences": [], "fareCodes": [ "<string>" ], "cabinGradeCodes": [ "<string>" ] }, "conditions": { "minPax": 123, "pastGuestOnly": true, "soloTravelerOnly": true, "childTravelerOnly": true, "familyOnly": true }, "validFrom": "2023-12-25", "validUntil": "2023-12-25", "code": "<string>", "stackable": true, "active": true, "metadata": {} } }
Delete a promotional offer. Returns 409 if redemptions exist.
Staff session or API token issued by your Voyant app.
Deleted offer
Show child attributes